db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rick Hillegas (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DERBY-4390) Impossible to download libraries separatly from maven central repository
Date Wed, 30 Sep 2009 18:09:23 GMT

    [ https://issues.apache.org/jira/browse/DERBY-4390?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12760971#action_12760971
] 

Rick Hillegas commented on DERBY-4390:
--------------------------------------

Hi Mathieu,

I have been engaged in an email thread on the repository@apache.org mailing list. The thread
is titled "forcing a sync to the maven 2 repository". The subject is how to update a corrupt
tree of artifacts. I have been told the following:

1) The Maven repository is a write-once medium. If you make a mistake, you cannot correct
it. You can overwrite the ibiblio rsync area as many times as you want, but the Maven repository
will only copy your first version of the tree.

2) All you can do is create a new tree of artifacts with a new version number.

So I have created a new Maven distribution of the 10.5.3.0 Derby jars. The new Maven distribution
has the version id 10.5.3.0_1. I have staged this new Maven distribution at

    http://people.apache.org/~rhillegas/repository/org/apache/derby

Mathieu, could you attempt to use this new distribution? Once we get a distribution which
you can use, I will copy it to the ibiblio rsync area so that it can be checked into the official
Maven 2 repository.

Thanks,
-Rick

> Impossible to download libraries separatly from maven central repository
> ------------------------------------------------------------------------
>
>                 Key: DERBY-4390
>                 URL: https://issues.apache.org/jira/browse/DERBY-4390
>             Project: Derby
>          Issue Type: Bug
>    Affects Versions: 10.5.3.0
>            Reporter: Mathieu Filotto
>
> Since version 10.5.3.0, it is impossible to download a library due to a new depency to
derby-project.
> I try with derby and derbyclient
> [INFO] Failed to resolve artifact.
> GroupId: org.apache.derby
> ArtifactId: derby-project
> Version: ${derby.version}
> Reason: Unable to download the artifact from any repository
>   org.apache.derby:derby-project:pom:${derby.version}

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message